Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Gets the applications current environment

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/environment' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The environment information

Bodyapplication/json
isStagingboolean

Is it in staging?

visionSystemEnabledboolean

Is the vision system enabled?

timingDiagnosticsEnabledboolean

Is the timing diagnostics enabled?

dbCheckStatusstring or null

The status of the database. Can be one of three values: Ok - No issues, Warning - The threshold for database and drive check has been exceeded. User should be notified to clean out files, Blocking - Instrument cannot be initialized and protocols cannot be scheduled until levels are below the threshold set in Instinct.

driveCheckStatusstring or null

The drive check status

Response
application/json
{ "isStaging": true, "visionSystemEnabled": true, "timingDiagnosticsEnabled": true, "dbCheckStatus": "Ok", "driveCheckStatus": "Ok" }

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations